#!/bin/bash

proby=$2
export proby
echo "Пробы: $2"
echo "Подождите, идёт выравнивание..."
mafft --quiet --reorder --6merpair --keeplength --addfragments $2 reference.fa  > alignment.fa 
echo "Выравнивание завершено!"
echo "Подождите, идёт анализ..."
if [[ $1 = "-w" ]]; then 
	python3 WGS.py
fi
if [[ $1 = "-f" ]]; then 
	python3 FraGS.py
fi
if [[ $1 != "-w" ]] && [[ $1 != "-f" ]]; then 
	echo "wrong option! choose -w or -f"
fi
echo "Анализ завершён!"
